Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1577636 - yum-cron fails with "Invalid version flag: if"
Summary: yum-cron fails with "Invalid version flag: if"
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-cron
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-13 16:33 UTC by Peter Bieringer
Modified: 2019-05-28 23:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:29:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Peter Bieringer 2018-05-13 16:33:31 UTC
Description of problem:
yum-cron is no longer updating the system

Version-Release number of selected component (if applicable):
yum-cron-3.4.3-516.fc28.noarch

How reproducible:
always

Steps to Reproduce:
1. /usr/sbin/yum-cron


Actual results:
...
Transaction Summary
================================================================================
Install   1 Package  (+1 Dependent package)
Upgrade  68 Packages
Updates failed to install with the following error message: 
Invalid version flag: if

Expected results:
working

Additional info:

with
debuglevel = 10

nothing useful to trace is shown :-(

Comment 1 Peter Bieringer 2018-06-24 14:40:55 UTC
found at least some kind of root cause

Edited /usr/lib/python2.7/site-packages/yum/misc.py

- raise Errors.MiscError, 'Invalid version flag: %s' % f
+ raise Errors.MiscError, 'Invalid version flag: %s' % f + ' (PROBLEM: prcoString=' + prcoString + ')'

Updates failed to install with the following error message: 
Invalid version flag: if (PROBLEM: prcoString=(annobin if gcc))

found via https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/H3YMDGGLUXWA6KEX7FPEFPNWSOV2PGFP/

redhat-rpm-config-105-1.fc28.noarch requires (annobin if gcc)


Confirmed:

# rpm -q --requires redhat-rpm-config |grep annobin
(annobin if gcc)


# rpm -qf /usr/lib/python2.7/site-packages/yum/misc.py
yum-3.4.3-517.fc28.noarch

=> sounds like yum has an issue, but only if called via yum-cron

Issue is not occuring if "yum update" is called directly

Comment 2 Bond Masuda 2018-06-27 18:12:18 UTC
i'm also seeing this issue:

================================================================================
 Package         Arch   Version                 Repository                 Size
================================================================================
Installing for group upgrade "GNOME":
 gnome-photos    x86_64 3.28.0-1.fc28           fedora                    877 k
Updating:
 mplayer-common  x86_64 1.3.0-24.20180620svn.fc28
                                                rpmfusion-free-updates    1.2 M
 snes9x          x86_64 1.56.1-3.fc28           rpmfusion-nonfree-updates 913 k
Installing for dependencies:
 dleyna-renderer x86_64 0.6.0-2.fc28            fedora                     60 k
 gegl03          x86_64 0.3.30-1.fc28           fedora                    1.4 M

Transaction Summary
================================================================================
Install  1 Package  (+2 Dependent packages)
Upgrade  2 Packages
Updates failed to install with the following error message: 
Invalid version flag: if

Comment 3 Bond Masuda 2018-06-27 18:13:12 UTC
The current versions I have that resulted in above error:

$ rpm -q yum-cron dnf
yum-cron-3.4.3-517.fc28.noarch
dnf-2.7.5-12.fc28.noarch

Comment 4 Lars E. Pettersson 2018-11-06 19:16:59 UTC
Bug still present in Fedora 29, 'yum update' directly works, but yum-cron don't.

$ rpm -q yum-cron dnf
yum-cron-3.4.3-518.fc29.noarch
dnf-4.0.4-1.fc29.noarch

Comment 5 Steven Miano 2018-12-27 19:34:25 UTC
I'd imagine at this point, using dnf-automatic is the correct course of action here in place of yum-cron (seems to fix/work around this issue).

Comment 6 Bond Masuda 2018-12-27 23:35:10 UTC
(In reply to Steven Miano from comment #5)
> I'd imagine at this point, using dnf-automatic is the correct course of
> action here in place of yum-cron (seems to fix/work around this issue).

then, would it make sense to obsolete yum-cron? it seems yum-cron isn't functional at this point, and if there's a better replacement, it should just be removed entirely?

Comment 7 Ben Cotton 2019-05-02 20:05:56 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2019-05-28 23:29:30 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.